javax.batch.operations

## Class JobExecutionAlreadyCompleteException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.batch.operations.BatchRuntimeException
        - - javax.batch.operations.JobExecutionAlreadyCompleteException

All Implemented Interfaces:
  Serializable

    public class JobExecutionAlreadyCompleteException
    extends BatchRuntimeException

JobExecutionAlreadyCompleteException is thrown when restart is called for an already-completed job instance. I.e. when `JobOperator.restart(long, java.util.Properties)` is called, and the most recent job execution for the corresponding job instance has ended with `BatchStatus` of COMPLETED.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JobExecutionAlreadyCompleteException()`
`JobExecutionAlreadyCompleteException(String message)`
`JobExecutionAlreadyCompleteException(String message, Throwable cause)`
`JobExecutionAlreadyCompleteException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JobExecutionAlreadyCompleteException

    public JobExecutionAlreadyCompleteException()

#### JobExecutionAlreadyCompleteException

    public JobExecutionAlreadyCompleteException(String message)

#### JobExecutionAlreadyCompleteException

    public JobExecutionAlreadyCompleteException(Throwable cause)

#### JobExecutionAlreadyCompleteException

    public JobExecutionAlreadyCompleteException(String message,
                                        Throwable cause)

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0